ListEventPipelinesAPI mirrors erdo_list_event_pipelines.
curl --request GET \
--url https://api.erdo.ai/v1/event-pipelines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erdo.ai/v1/event-pipelines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erdo.ai/v1/event-pipelines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pipelines": [
{
"auth_config": {},
"auth_mode": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_datasets": [
"<string>"
],
"created_from_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"endpoint_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_from_thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pipeline": {},
"purpose": "<string>",
"request_schema": {},
"secret": "<string>",
"slug": "<string>",
"source_kind": "<string>",
"state": "<string>",
"transform_js": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"write_target_datasets": [
"<string>"
]
}
]
}{
"code": "not_found",
"details": {},
"message": "<string>"
}API Reference
ListEventPipelinesAPI mirrors erdo_list_event_pipelines.
GET
/
v1
/
event-pipelines
ListEventPipelinesAPI mirrors erdo_list_event_pipelines.
Authorizations
An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).
Query Parameters
Required range:
-2147483648 <= x <= 2147483647Required range:
-2147483648 <= x <= 2147483647Response
Success response
Show child attributes
Show child attributes
RunEvalSuiteAPI mirrors erdo_run_eval_suite.
GetEventPipelineAPI mirrors erdo_get_event_pipeline (slug or uuid).
⌘I

